> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/25.-amlyh-tadyl-hfz-mlahzh-mrtbth-b-alhql.md).

# 25. عملية تعديل: حفظ "ملاحظة" مرتبطة بـ"الحقل"

تسمح لك هذه الطفرة بإرفاق ملاحظة بحقل محدد.

* يمكن ربط الملاحظة بالمزرعة عبر معرفها الفريد `معرف_الحقل`.&#x20;
* يمكن تعيين إحداثية الملاحظة باستخدام `centroid` الخاصية، والتي تتطلب تعريف `latitude` و `longitude` القيم.&#x20;
* يمكن تحديد نوع الملاحظة باستخدام `النوع` الخاصية بقيم مقبولة هي `PLANNED` أو `REAL`.&#x20;
* يمكن توفير وصف الملاحظة باستخدام `comment` الخاصية. إذا احتاج الوصف إلى عدة أسطر، فـ `comment` الخاصية على سلسلة تحتوي على أحرف سطر جديد `\\n` لفصل الأسطر. على سبيل المثال: `"السطر الأول. هنا\\nالسطر الثاني هنا.\\nالسطر الثالث هنا."`.

يمكن العثور على أمثلة الطلبات أدناه:

```graphql
mutation SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED،
    comment: "الملاحظة الاختبارية المرفقة بالحقل"
  } ) {
    uuid
    معرف_الحقل
    centroid {
      latitude
      longitude
    }
    تاريخ الإنشاء
    updatedDate
    النوع
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED،
    comment: "السطر الأول. هنا\\nالسطر الثاني هنا.\\nالسطر الثالث هنا."
  } ) {
    uuid
    معرف_الحقل
    centroid {
      latitude
      longitude
    }
    تاريخ الإنشاء
    updatedDate
    النوع
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/25.-amlyh-tadyl-hfz-mlahzh-mrtbth-b-alhql.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
